UncheckedIOException (Java Platform SE 8 )
Keywords: java.io.UncheckedIOException class
Date: 2026-04-17

compact1, compact2, compact3
java.io

## Class UncheckedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.io.UncheckedIOException

- All Implemented Interfaces:
    Serializable

      public class UncheckedIOException
      extends RuntimeException

  Wraps an `IOException` with an unchecked exception.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedIOException(IOException cause)` Constructs an instance of this class.
    `UncheckedIOException(String message, IOException cause)` Constructs an instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOException` | `getCause()` Returns the cause of this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedIOException

          public UncheckedIOException(String message,
                                      IOException cause)

      Constructs an instance of this class.
      Parameters:
        `message` - the detail message, can be null
        `cause` - the `IOException`
      Throws:
        `NullPointerException` - if the cause is `null`

    - #### UncheckedIOException

          public UncheckedIOException(IOException cause)

      Constructs an instance of this class.
      Parameters:
        `cause` - the `IOException`
      Throws:
        `NullPointerException` - if the cause is `null`

  - ### Method Detail

    - #### getCause

          public IOException getCause()

      Returns the cause of this exception.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the `IOException` which is the cause of this exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.